# gcp/atom.h File Reference

`#include <map>`
`#include <glib.h>`
`#include <gcu/atom.h>`
`#include <gcu/dialog-owner.h>`
`#include <gcu/element.h>`
`#include <gcu/macros.h>`
`#include <libgnomecanvas/gnome-canvas.h>`
`#include "widgetdata.h"`

Go to the source code of this file.

## Namespaces

namespace | OpenBabel
namespace | gcp

## Classes

class | gcp::Atom

## Defines

#define | POSITION_NE 1
#define | POSITION_NW 2
#define | POSITION_N 4
#define | POSITION_SE 8
#define | POSITION_SW 16
#define | POSITION_S 32
#define | POSITION_E 64
#define | POSITION_W 128

## Enumerations

enum | gcp::HPos { gcp::LEFT_HPOS, gcp::RIGHT_HPOS, gcp::TOP_HPOS, gcp::BOTTOM_HPOS, gcp::AUTO_HPOS }

## Detailed Description

Definition in file gcp/atom.h.

## Define Documentation

#define POSITION_E 64

Left position for charges and electrons around an atom.

Definition at line 75 of file gcp/atom.h.

#define POSITION_N 4

Top center position for charges and electrons around an atom.

Definition at line 59 of file gcp/atom.h.

#define POSITION_NE 1

Top left position for charges and electrons around an atom.

Definition at line 51 of file gcp/atom.h.

#define POSITION_NW 2

Top right position for charges and electrons around an atom.

Definition at line 55 of file gcp/atom.h.

#define POSITION_S 32

Bottom center position for charges and electrons around an atom.

Definition at line 71 of file gcp/atom.h.

#define POSITION_SE 8

Bottom left position for charges and electrons around an atom.

Definition at line 63 of file gcp/atom.h.

#define POSITION_SW 16

Bottom right position for charges and electrons around an atom.

Definition at line 67 of file gcp/atom.h.

#define POSITION_W 128

Right position for charges and electrons around an atom.

Definition at line 79 of file gcp/atom.h.